import java.util.Collection;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class Main {
  public static void main(String[] a) throws Exception {
    JPAUtil util = new JPAUtil();

    EntityManagerFactory emf = Persistence.createEntityManagerFactory("ProfessorService");
    EntityManager em = emf.createEntityManager();
    ProfessorService service = new ProfessorService(em);

    em.getTransaction().begin();

    service.createProfessorAndAddress(1, "name", 1, "street", "city", "state");
    for (Professor emp : service.findAllProfessors()) {
      System.out.print(emp);
    }

    util.checkData("select * from Professor");
    util.checkData("select * from Address");
    
    for(Professor e : service.findAllProfessors()){
      service.removeProfessor(e);
    } 
    em.flush();
    util.checkData("select * from Professor");
    util.checkData("select * from Address");

    
    em.getTransaction().commit();
    em.close();
    emf.close();
  }
}